Bug 243951 - (pbm2l7k-review) Review Request: pbm2l7k - Converts PBM stream to Lexmark 7000, 7200 and 5700 printer language
Review Request: pbm2l7k - Converts PBM stream to Lexmark 7000, 7200 and 5700 ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marek Mahut
Fedora Extras Quality Assurance
: HardwareEnablement
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-12 18:01 EDT by Lubomir Kundrak
Modified: 2007-11-30 17:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-02 05:48:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mmahut: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Lubomir Kundrak 2007-06-12 18:01:47 EDT
Spec URL: http://people.redhat.com/lkundrak/SPECS/pbm2l7k.spec
SRPM URL: http://people.redhat.com/lkundrak/SRPMS/pbm2l7k-990321-1.src.rpm
Description: Converts bitcmyk data to Lexmark 2050 printer language

This is a filter to convert pbmraw data such as produced by ghostscript to
the printer language of Lexmark 7000, 7200 and 5700 printers.  It is meant
to be used by the PostScript Description files of the drivers from the
foomatic package.

Note: This package is a part of the ongoing effort to extend hardware support
by fixing the foomatic drivers that actually refer to external filters.
Comment 1 Marek Mahut 2007-06-13 17:34:30 EDT
Your symlink isn't relative, the compilation on my machine failed for this reason

   RPM build errors:
      File not found: /var/tmp/pbm2l7k-990321-1.fc7-root-root/usr/bin/pbm2lex

you should use the following entry for relative symlink

    %{__ln_s} pbm2l7k $RPM_BUILD_ROOT/%{_bindir}/pbm2lex
Comment 2 Lubomir Kundrak 2007-06-13 17:50:52 EDT
Thanks Marek. You suggestion has been incorporated in the current version of
the package.
Comment 3 Lubomir Kundrak 2007-06-20 16:33:18 EDT
New Package CVS Request
=======================
Package Name: pbm2l7k
Short Description: Converts PBM stream to Lexmark 7000, 7200 and 5700 printer
language
Owners: lkundrak@redhat.com
Branches: FC-6 F-7
Comment 4 Josh Boyer 2007-06-20 16:50:20 EDT
this hasn't been properly reviewed yet.
Comment 5 Marek Mahut 2007-06-28 18:11:10 EDT
+ source files match upstream:
         0f255d21fa2608094a2e40f5130ceee1 
/usr/src/redhat/SOURCES/lexmark7000linux-990321.tar.gz
+ package meets naming and versioning guidelines.
+ specfile is properly named, is cleanly written and uses macros consistently.
+ dist tag is present.
+ build root is correct.
      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
+ license field matches the actual license.
+ license is open source-compatible.  
+ latest version is being packaged.
+ compiler flags are appropriate.
+ %clean is present.
+ package installs properly
+ debuginfo package looks complete.
+ rpmlint is silent.
+ final provides and requires are sane:
  [root@storm pbm2l7k]# rpm -qp --provides
/usr/src/redhat/RPMS/i386/pbm2l7k-990321-1.fc8.i386.rpm
  pbm2l7k = 990321-1.fc8
  [root@storm pbm2l7k]# rpm -qp --requires
/usr/src/redhat/RPMS/i386/pbm2l7k-990321-1.fc8.i386.rpm
  libc.so.6  
  libc.so.6(GLIBC_2.0)  
  libc.so.6(GLIBC_2.1)  
  libc.so.6(GLIBC_2.3.4)  
  libc.so.6(GLIBC_2.4)  
  rpmlib(CompressedFileNames) <= 3.0.4-1
  rpmlib(PayloadFilesHavePrefix) <= 4.0-1
  rtld(GNU_HASH)  
  [root@storm pbm2l7k]# 
+ doesn't own any directories it shouldn't.
+ no duplicates in %files.
+ file permissions are appropriate.


APPROVED
Comment 6 Jason Tibbitts 2007-07-01 11:42:55 EDT
CVS done (last night; my connection has been extremely poor lately)
Comment 7 Lubomir Kundrak 2007-07-02 05:48:37 EDT
Thanks Marek and Jason. The package was imported into CVS.

Note You need to log in before you can comment on or make changes to this bug.